#include "stdafx.h"
#include "../SearchBase.h"
#include "AhxSearch.h"

CAhxSearch::CAhxSearch()
{
	InitHed("\x80\x00\x00\x20\x11\x00\x00\x01\x00\x00", 10);
	InitFot("AHXE(c)CRI", 10);
}

void CAhxSearch::Mount(CArcFile* pclArc)
{
	SFileInfo infFile;

	// 開始アドレス取得
	infFile.start = pclArc->GetArcPointer();

	// ファイルサイズ取得
	pclArc->Seek(GetHedSize() + 2, FILE_CURRENT);
	pclArc->Read(&infFile.sizeOrg, 4);
	pclArc->ConvEndian(&infFile.sizeOrg);
	infFile.sizeOrg <<= 1;
	pclArc->GetProg()->UpdatePercent(4);

	// フッタ検索
	if (SearchFot(pclArc) == FALSE)
		return;

	// 終了アドレス取得
	infFile.end = pclArc->GetArcPointer();

	// 圧縮ファイルサイズ取得
	infFile.sizeCmp = infFile.end - infFile.start;

	pclArc->AddFileInfo(infFile, GetCtFile(), _T(".ahx"));
}